import { Observable } from 'rxjs';
import { GenericCrudService } from 'd2f-ngx-commons';
import { GenericCrudAbstractContextHelper } from './abstract/GenericCrudAbstractContextHelper';
export declare class GenericCrudContext<T, I> {
    contextHelper: GenericCrudAbstractContextHelper<T, I>;
    entityTypeName: string;
    constructor(contextHelper: GenericCrudAbstractContextHelper<T, I>);
    tabObjects: T[];
    onGetAllObjects$(genericCrudService: GenericCrudService<T> | null): Observable<T[]>;
    onAddObject$(obj: T, genericCrudService: GenericCrudService<T> | null): Observable<T>;
    onUpdateObject$(obj: T, genericCrudService: GenericCrudService<T> | null): Observable<T>;
    onDeleteObject$(id: I, genericCrudService: GenericCrudService<T> | null): Observable<any>;
}
